# Installation
> `npm install --save @types/rdfjs__parser-jsonld`

# Summary
This package contains type definitions for @rdfjs/parser-jsonld (https://github.com/rdfjs-base/parser-jsonld).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/rdfjs__parser-jsonld.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/rdfjs__parser-jsonld/index.d.ts)
````ts
// Type definitions for @rdfjs/parser-jsonld 1.2
// Project: https://github.com/rdfjs-base/parser-jsonld
// Definitions by: Chris Wilkinson <https://github.com/thewilkybarkid>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

import { Context } from 'jsonld/jsonld-spec';
import { DataFactory, Sink, Stream, BaseQuad, Quad } from 'rdf-js';
import { EventEmitter } from 'events';

declare namespace Parser {
    interface ParserOptions {
        baseIRI?: string | undefined;
        context?: Context | undefined;
        factory?: DataFactory | undefined;
    }
}

declare class Parser<Q extends BaseQuad = Quad> implements Sink<EventEmitter, Stream<Q>> {
    constructor(options?: Parser.ParserOptions);

    import(stream: EventEmitter, options?: Parser.ParserOptions): Stream<Q>;
}

export = Parser;

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 20:20:20 GMT
 * Dependencies: [@types/jsonld](https://npmjs.com/package/@types/jsonld), [@types/rdf-js](https://npmjs.com/package/@types/rdf-js)
 * Global values: none

# Credits
These definitions were written by [Chris Wilkinson](https://github.com/thewilkybarkid).
